#!/bin/bash

##################################################
# Simple script to easily export env vars.
##################################################
# @author Francesco Stefanni

#### Settings:

SYSTEMC_DIR=/opt/EDA_Software/esd_software/unstable/lib/systemc/2.2.0-gcc4.4.4-ANSI
TLM_DIR=/opt/EDA_Software/esd_software/unstable/lib/systemc/TLM-2009-07-15


#### Exporting:

if [ "$#" == "0" ]; then
    # 32
    export PATH=$PATH:$TLM_DIR/include/tlm/:$SYSTEMC_DIR/include:$SYSTEMC_DIR/lib-linux
elif [ "$1" == "32" ]; then
    # 32
    export PATH=$PATH:$TLM_DIR/include/tlm/:$SYSTEMC_DIR/include:$SYSTEMC_DIR/lib-linux
else
    # 64
    export PATH=$PATH:$TLM_DIR/include/tlm/:$SYSTEMC_DIR/include:$SYSTEMC_DIR/lib-linux64
fi
#### Showing the new Path:

echo "PATH = $PATH"
